# class Symbol

### Public Instance Methods

<=>(other) click to toggle source

    # File lib/puppet/util/monkey_patches.rb, line 27
    def <=> (other)
      self.to_s <=> other.to_s
    end

__original_to_proc()
Alias for: to_proc
intern() click to toggle source

    # File lib/puppet/util/monkey_patches.rb, line 31
    def intern
      self
    end

to_proc() click to toggle source

    # File lib/puppet/util/monkey_patches.rb, line 140
    def to_proc
      @my_proc ||= __original_to_proc
    end

Also aliased as: __original_to_proc
to_zaml(z) click to toggle source

    # File lib/puppet/util/zaml.rb, line 216
    def to_zaml(z)
      z.emit("!ruby/sym ")
      to_s.to_zaml(z)
    end